%define upstream_name Crypt-DES
%define upstream_version 2.07

Name:		perl-%{upstream_name}
Version:	%{upstream_version}
Release:	%mkrel 10
License:	GPL or Artistic
Group:		Development/Perl
Summary:	Perl DES encryption module
Source0:	http://search.cpan.org/CPAN/authors/id/D/DP/DPARIS/%{upstream_name}-%{upstream_version}.tar.gz
Url:            http://search.cpan.org/dist/%{upstream_name}/
BuildRequires:	perl-devel


%{?perl_default_filter}

%description
The module implements the Crypt::CBC interface.

%prep
%setup -q -n %{upstream_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="$RPM_OPT_FLAGS"

%check
%{__make} test

%install
%makeinstall_std

%files
%doc README COPYRIGHT
%{perl_vendorarch}/Crypt
%{perl_vendorarch}/auto/Crypt
%{_mandir}/man3/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 2.07-10.mga6
+ Revision: 1024510
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 2.07-9.mga6
+ Revision: 956924
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 2.07-8.mga6
+ Revision: 844755
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 2.07-7.mga6
+ Revision: 840670
- Rebuild for the new perl

* Wed Oct 15 2014 umeabot <umeabot> 2.07-6.mga5
+ Revision: 740733
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 2.07-5.mga5
+ Revision: 732998
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 2.07-4.mga5
+ Revision: 684034
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 2.07-3.mga5
+ Revision: 630952
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 2.07-2.mga4
+ Revision: 531908
- Mageia 4 Mass Rebuild

* Mon Aug 12 2013 sander85 <sander85> 2.07-1.mga4
+ Revision: 465689
- update to 2.07

* Wed May 29 2013 jquelin <jquelin> 2.05_002-15.mga4
+ Revision: 431460
- update to 2.05_002
- perl 5.18.0 rebuild

  + tv <tv>
    - rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 2.05-13.mga3
+ Revision: 364833
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 2.05-12.mga3
+ Revision: 250390
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 2.05-11.mga2
+ Revision: 103789
- perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 2.05-10.mga1
+ Revision: 29664
- mageia rebuild
- imported package perl-Crypt-DES

